## denoiser 0.9.1

=== FlowgramAlignment/Makefile ===
GHC = ghc

all: FlowgramAli_4frame

FlowgramAli_4frame: FlowgramAli_4frame.lhs
	ghc --make -O2 FlowgramAli_4frame
# On ghc7+ consider using -with-rtsopts="-H100M" for inreased speed

install:
	cp FlowgramAli_4frame ../bin/
clean:
	rm *.o
	rm *.hi
	rm FlowgramAli_4frame

=== debian/changelog ===
denoiser (0.9.1-1) experimental; urgency=low

  [ Steffen Moeller ]
  * New upstream release (Closes: #587274).

  [ Andreas Tille ]
  * Upload to main
  * Use dh_python2

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2011 15:40:16 +0200

denoiser (0.8.5.1-1) UNRELEASED; urgency=low

  * Initial release.

 -- Andreas Tille <tille@debian.org>  Fri, 25 Feb 2011 20:26:49 +0100

=== debian/control ===
Source: denoiser
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7.1), quilt (>= 0.47), ghc6, python (>= 2.6)
Standards-Version: 3.9.2
Homepage: http://www.microbio.me/denoiser/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/denoiser/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/denoiser/trunk/

Package: denoiser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-cogent, python, python-support (>= 0.90)
Description: Rapid denoising of pyrosequencing amplicon data 
 To denoise pyrosequencing amplicon data, the package exploits the
 rank-abundance distribution.  PyroNoise uses an expectation maximization
 (EM) algorithm to figure out the most likely sequence for every read. We,
 instead, use a greedy scheme that can be seen as an approximation to
 PyroNoise. According to several test data sets, the approximation gives
 very similar results in a fraction of the time.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

srcdir=FlowgramAlignment

override_dh_auto_build:
	$(MAKE) -C $(srcdir)

override_dh_clean:
	$(MAKE) -C $(srcdir) clean
	find . -name "*.dat" | xargs -r chmod -x
	dh_clean

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
version=3
# opts=dversionmangle=s/\.// \

opts=dversionmangle=s/([0-9])\.([0-9])\.([0-9])\.([0-9])/$1\.$2$3$4/g \
   http://www.microbio.me/denoiser/Denoiser_([.0-9]+)\.tgz \
   debian debian/get-orig-source
